# SISLab

(EN)Inje University Department of Biomedical Engineering's Signal and Imaging System Laboratory (SISLab) open source library for signal processing, image processing, AI model development, and system parallel processing.

(KR)인제대학교 의공학과 신호 및 영상 시스템 연구실(SISLab)의 신호 처리, 영상 처리, 인공지능 모델 개발 및 시스템 병렬 처리를 위한 오픈 소스 라이브러리입니다.

## Background and Motivation

(EN)The SISLab library was developed to enhance the productivity of research conducted in the Signal and Imaging System Laboratory at Inje University. This project aims to consolidate frequently used code in the lab into a cohesive library, ensuring easy access and backup for future use.

(KR)SISLab 라이브러리는 인제대학교 신호 및 영상 시스템 연구실에서 수행되는 연구의 생산성을 높이기 위해 개발되었습니다. 이 프로젝트는 연구실에서 자주 사용되는 코드를 하나의 일관된 라이브러리로 통합하여, 향후 쉽게 접근하고 백업할 수 있도록 하는 것을 목표로 합니다.

## Features
(EN)
- Signal processing utilities
- Image processing tools
- Data loading functions
- AI model and layer creation and building
- System parallel processing capabilities

(KR)
- 신호 처리 유틸리티
- 영상 처리 도구
- 데이터 로드 기능
- 인공지능 모델 및 레이어 생성과 구축
- 시스템 병렬 처리 기능

## Installation

(EN)To install the SISLab library, you can use pip:

(KR)SISLab 라이브러리를 설치하려면, pip를 사용할 수 있습니다:

```sh
pip install SISLab
```

# License
(EN)This project is licensed under the MIT License. See the LICENSE file for details.

(KR)이 프로젝트는 MIT 라이선스 하에 라이선스가 부여됩니다. 자세한 내용은 LICENSE 파일을 참조하세요.

# Contact
(EN)For any questions or suggestions, please contact Jun (서준석) at sjslife97@naver.com or +82 10-2231-2497.

(KR)기타 질문이나 제안 사항이 있으시면 서준석(Jun)에게 sjslife97@naver.com 또는 +82 10-2231-2497로 연락해 주세요.

# Note
(EN)This README.md file clearly explains the purpose and features of the project, including installation instructions and basic usage examples. The license and contribution guidelines are also specified, providing sufficient basic information about the project. More detailed usage examples or additional information can be updated as needed in the future.

(KR)이 README.md 파일은 프로젝트의 목적과 기능을 명확히 설명하고 있으며, 설치 방법과 기본 사용 예제를 포함하고 있습니다. 라이선스와 기여 방법도 명시되어 있어, 프로젝트에 대한 기본적인 정보를 제공하는 데 충분합니다. 필요에 따라 이후에 더 구체적인 사용 예제나 추가 정보를 업데이트할 수 있습니다.
